<?php
/**
 * @package Contentteller
 * @subpackage Blocks
 * @copyright (C) 2002-2011 Esselbach Internet Solutions
 */
if( !defined( "CONTENTTELLER" ) )
{
	die( "Error" );
}
/**
 * Latest files carousel
 * @author Philipp Louis Esselbach
 */
if( $preferences[ 'files_active' ] )
{
	$files_carousel = ( isset( $datastore[ 'files_carousel' ] ) ) ? $datastore[ 'files_carousel' ] : "" ;

	if( !$files_carousel )
	{
		$currentdate = date( "Y-m-d H:i:s", gmmktime() );
		if ( $preferences[ 'website_mod_rewrite' ]  )
		{
			$seo_url = "";
		}
		elseif ( $preferences[ 'website_basic_rewrite' ] )
		{
			$seo_url = "?/";
		}
		else
		{
			$seo_url = "index.php" . $preferences[ 'param_ct' ] ;
		}
		if( $preferences[ 'files_start_expire_date' ] )
		{
			$files_expire_sql = " AND file_startdate < '" . $currentdate . "' AND (file_expiredate > '" . $currentdate . "' OR file_neverexpire = '1')";
		}
		else
		{
			$files_expire_sql = "";
		}

		if( $preferences[ 'files_carousel'] )
		{
			$input_carousel_options = $system -> decode_array( $preferences[ 'files_carousel'] );
			if( $input_carousel_options[0] == 1 )
			{
				$display = "always-on";
			}
			elseif( $input_carousel_options[0] == 2 )
			{
				$display = "slide";
			}

			$delay = $input_carousel_options[1];
		}
		else
		{
			$display = "always-on";
			$delay = 500;
		}

		$results = $database -> dbquery( "SELECT file_seo, file_name, file_version, file_teaser FROM " . DB_PREFIX . "esselbach_ct_files WHERE (file_status = '0' OR file_status = '3') AND (file_website = '0' OR file_website = '" . $preferences[ 'current_website' ] . "') AND NOT(file_teaser = '0')" . $files_expire_sql . " ORDER BY file_position DESC, file_date DESC LIMIT 25" );

		if( $database -> dbrows( $results ) )
		{
       		$files_carousel = "<script type=\"text/javascript\" src=\"" . $seo_url . "core" . $preferences[ 'param_action' ] . "javaload" . $preferences[ 'param_page' ] ."jcarousel.js\"></script>\n<script type=\"text/javascript\" src=\"" . $seo_url . "core" . $preferences[ 'param_action' ] . "javaload" . $preferences[ 'param_page' ] ."captify.js\"></script>\n<link rel=\"stylesheet\" type=\"text/css\" href=\"images/carousel/skin.css\" />\n";
       		$files_carousel .= "<script type=\"text/javascript\">\nfunction myfcarousel_initCallback(carousel)\n{\ncarousel.buttonNext.bind('click', function() {\ncarousel.startAuto(0);\n});\n\ncarousel.buttonPrev.bind('click', function() {\ncarousel.startAuto(0);\n});\ncarousel.clip.hover(function() {\ncarousel.stopAuto();\n}, function() {\ncarousel.startAuto();\n});\n};\n\njQuery(document).ready(function() {\njQuery('#ctfcarousel').jcarousel({\nauto: 2,\nwrap: 'last',\ninitCallback: myfcarousel_initCallback\n});\n});\n\n$(document).ready(function(){\n$('img.fcaptify').captify({\nspeedOver: 'fast',\nspeedOut: 'normal',\nhideDelay: " . $delay . ",\nanimation: '" . $display. "',\nprefix: '',\nopacity: '0.7',\nclassName: 'caption-bottom',\nposition: 'top',\nspanWidth: '100%'\n});\n});\n</script>";
       		$files_carousel .= "<ul id=\"ctfcarousel\" class=\"jcarousel-skin-tango\">";
			while( list( $file_seo, $file_name, $file_version, $file_teaser ) = $database -> dbrow( $results ) )
			{
				$files_carousel .= "<li><a href=\"" . $seo_url . "files" . $preferences[ 'param_action' ] . "details" . $preferences[ 'param_page' ] . $file_seo . ".html\"><img src=\"" . $seo_url . "files" . $preferences[ 'param_action' ] . "teaserimage" . $preferences[ 'param_id' ] . $file_teaser . "\" alt=\"" . $file_name . " ". $file_version . "\" class=\"fcaptify\" /></a></li>";
			}
			$files_carousel .= "</ul>";
		}
		else
		{
			if( $config[ 'ADMIN_LANGUAGE' ] == "de" )
			{
				$files_carousel = "Die Vorschaubild Datenbank ist derzeit leer.";
			}
			else
			{
				$files_carousel = "The files teaser database is currently empty.";
			}
		}

		$system -> datastoreput( "files_carousel", $files_carousel );
	}

	echo $files_carousel;
}
else
{
	if( $config[ 'ADMIN_LANGUAGE' ] == "de" )
	{
		echo "Das Programmmodul ist derzeit deaktiviert";
	}
	else
	{
		echo "The files module is inactive";
	}
}
?>